--- boost-1.32.orig/boost/test/unit_test_suite.hpp	Fri Nov 05 12:24:27 2004
+++ boost-1.32/boost/test/unit_test_suite.hpp	Fri Nov 05 12:24:24 2004
@@ -49,6 +49,12 @@
 // **************                   test_case                  ************** //
 // ************************************************************************** //
 
+// test_case::Impl messes with test_suite::Impl probably, making test_suite
+// friend of test_case helps it accepting the forward declaration (dirty, eh?)
+#ifdef __HP_aCC
+class test_suite;
+#endif
+
 class test_case {
 public:
     typedef ut_detail::unit_test_monitor::error_level error_level_type;
@@ -106,6 +112,12 @@
     // Data members
     struct Impl;
     boost::shared_ptr<Impl> m_pimpl;
+
+// test_case::Impl messes with test_suite::Impl probably, making test_suite
+// friend of test_case helps it accepting the forward declaration (dirty, eh?)
+#ifdef __HP_aCC
+    friend class test_suite;
+#endif
 };
 
 //____________________________________________________________________________//
